---
title: Get service info
slug: tutorials/api/instant-payments/get-service-info
description: Identify which Instant Payments receive services are available to creditor banks through RTP® via TCH or FedNow®.
docTags: 
createdAt: 2024-08-09T14:06:17.178Z
---

## What you will learn

✅ How to identify which Instant Payments receive services are available to creditor banks through **RTP® via TCH or FedNow®.**

:::hint{type="info"}
If you are new to instant payments, check out the [instant payments](docId\:U_TnYPQ3-5yepG7jKD5FK) overview.

This tutorial assumes familiarity with APIs. For more information, visit [API basics](docId\:pUTTCwQ5SKLzxYzIn5D1b).
:::

## Before you begin

Make sure you have:

- [API credentials](docId\:wmg-1Fqwq3bj-D3c3HFfs)&#x20;

API endpoints used in this tutorial:

| API                                                    | Description                                         |
| ------------------------------------------------------ | --------------------------------------------------- |
| [GET /rtp/v1/directory](docId\:KdgFKJ1Rv7Dq0VNusrSJw)  | Returns available Instant Payments receive services |

:::hint{type="info"}
For FedNow, banks must register each routing transit number (RTN) individually. Banks may have partial RTN registration.&#x20;
:::

## Access the directory

You’ll check the available services for **JP Morgan Chase Bank**. The API call returns a list of service codes. If the bank supports both **RTP via TCH&#x20;**&#x61;nd **FedNow**, codes for each network will be returned.

- Call `GET /rtp/v1/directory?{queryParam}={queryParamValue}`.
- Include at least one query parameter to filter and control the data returned.

| &#x20;                            |                                                                                                  |
| --------------------------------- | ------------------------------------------------------------------------------------------------ |
| `filter.name`                     | The official name of the financial institution (FI)                                              |
| `filter.routingNumber`            | The routing number of the recipient account *(Best practice: Filter by this value for accuracy)* |
| `filter.participantId`            | The participant ID of the FI                                                                     |
| `filter.institutionRoutingNumber` | The routing number of the FI                                                                     |

Enter routing number **021000021&#x20;**&#x61;s either `routingNumber` or `institutionRoutingNumber` to retrieve results for the financial institution.

:::CodeblockTabs
Sample query using routing number

```curl
curl -X GET /rtp/v1/directory

'https://sandbox.crbcos.com/Rtp/v1/directory?filter.routingNumber=021000021'
```
:::

A successful API call returns a **JSON response** listing the supported Instant Payments services for routing number **021000021**, associated with **JP Morgan Chase Bank**.

- The `receiveServices` object contains the service codes.
- The `networkPlatform` attribute specifies the Instant Payments network (e.g., RTP® or FedNow®).
- If the bank participates in both networks, the response includes a separate list of services for each.

:::CodeblockTabs
Sample directory response with both networks

```json
{
      "networkPlatform": "TCH",
      "routingNumber": "021000021",
      "participantId": "200000020T1",
      "name": "JPMorgan Chase",
      "institutionRoutingNumber": "200000021",
      "institutionName": "JPMorgan Chase",
      "receiveServices": [
        "ACK",
        "CRDT",
        "RFI",
        "RFIR",
        "RFP",
        "RFPR",
        "RFRF",
        "RFRFR",
        "RMT"
      ],
      "receivingConnection": "JPMC",
      "participantActivationDate": "11/13/2017 12:00:00 AM",
      "extractionDateTime": "9/29/2022 7:00:00 AM",
      "lastModifiedAt": "2022-09-29T14:23:01.9180766-04:00",
      "networkPlatform": "TCH",
      "onlineStatus": "SignedOn",
      "onlineStatusChangedAt": "2022-09-15T12:22:04.9180766-04:00"
    },
    {
      "routingNumber": "021000021",
      "name": "JPMORGAN CHASE BANK, NA",
      "receiveServices": [
        "CTSR"
      ],
      "lastModifiedAt": "2022-09-29T14:23:01.9180766-04:00",
      "networkPlatform": "FedNow",
      "onlineStatus": "SignedOn",
      "onlineStatusChangedAt": "2022-09-15T12:22:04.9180766-04:00"
    }

```
:::

:::hint{type="info"}
Even if a financial institution lists a specific service, it does not guarantee that the creditor or debtor account at that institution is eligible for it.
:::

### Available Instant Payments services for TCH

| **Code**  | **Description**                      | **Details**                                                        |
| --------- | ------------------------------------ | ------------------------------------------------------------------ |
| **CRDT**  | Credit Transfer                      | Permits receipt of Credit Transfer (pacs.008)                      |
| **RFP**   | Request for Payment                  | Permits receipt of Request for Payment (pain.013)                  |
| **ACK**   | Payment Acknowledgement              | Permits receipt of Payment Acknowledgement (camt.035)              |
| **RMT**   | Remittance Advice                    | Permits receipt of Remittance Advice (remt.001)                    |
| **RFI**   | Request for Information              | Permits receipt of Request for Information (camt.026)              |
| **RFRF**  | Request for Return of Funds          | Permits receipt of Request for Return of Funds (camt.056)          |
| **RFPR**  | Request for Payment Response         | Permits receipt of Request for Payment Response (pain.014)         |
| **RFIR**  | Request for Information Response     | Permits receipt of Request for Information Response (camt.028)     |
| **RFRFR** | Request for Return of Funds Response | Permits receipt of Request for Return of Funds Response (camt.029) |

### Available Instant Payments services for FedNow

| **Code** | **Description**                           | **Details**                                                            |
| -------- | ----------------------------------------- | ---------------------------------------------------------------------- |
| **CTRO** | Customer Credit Transfer Receive Only     | Participant can receive instant credit transfers and returns.          |
| **CTSR** | Customer Credit Transfer Send and Receive | Participant can send and receive instant credit transfers and returns. |
| **RFPR** | Request For Payment Receive               | Participant can receive and respond to Request for Payment messages.   |

